# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.70"
name = "ffmpeg-screen-recorder"
version = "1.0.20"
authors = ["Magic Len <len@magiclen.org>"]
include = [
    "src/**/*",
    "Cargo.toml",
    "README.md",
    "LICENSE",
]
description = "This program is a gadget which helps you use FFmpeg to record your screen on Linux. The video record can be saved as a file, or be streamed via RTMP protocol."
homepage = "https://magiclen.org/ffmpeg-screen-recorder"
readme = "README.md"
keywords = [
    "ffmpeg",
    "cli",
    "screenrecord",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/magiclen/FFmpeg-Screen-Recorder"

[profile.release]
lto = true
codegen-units = 1
panic = "abort"
strip = true

[dependencies.anyhow]
version = "1"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.concat-with]
version = "0.2"

[dependencies.execute]
version = "0.2"

[dependencies.nix]
version = "0.27"
features = ["signal"]

[dependencies.num_cpus]
version = "1"

[dependencies.terminal_size]
version = "0.3"
